expo update not working so can't continue work..

expo has been so unreliable for me it’s barely justifying it’s use anylonger (only due to having commited my workflow to using it)

  1. SDK Version: I’m trying to upgrade this and its failing!

  2. Platforms: /iOS

expo start (which has worked for months) now shows:

I’m having the same problem as this closed post:

I’ve tried yarn install several times without errors and continually get “yarnpkg exited with non-zero code: 1” when running expo update

Hey @samtsejerome, what SDK version are you trying to upgrade to? Either way, to get you unblocked it might be worth creating a new project and migrating your project files over the new project.

Another thing to try is clearing all your caches. If that doesn’t work, trying adding your project dependencies one by one to try and figure out what could be causing the yarnpkg error (as it seems it’s a rather rare occurrence among Expo users as there have only been a handful of reports of it).

Cheers,
Adam